:root {
  --primary-color: #dc4712;
  --secondary-color: #f1e9e3;
  --tertiary-color: #ee712b;
  --box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
}

.custom-navbar {
  background-color: var(--secondary-color);
}
.custom-navbar .navbar-brand {
  color: var(--primary-color);
}

.custom-navbar .nav-item:hover .nav-link {
  color: var(--tertiary-color);
}

body {
  margin: 100px 50px 50px;
  font-family: "Ubuntu", sans-serif;
  font-weight: 400;
  font-style: normal;
}

a {
  color: var(--tertiary-color);
}

.home-header {
  margin: 250px 0;
}
.hero-title,
.hero-subtitle {
  margin: 0;
}

.hero-title {
  font-size: 96px;
  text-align: center;
}

.hero-subtitle {
  font-size: 50px;
  opacity: 0.7;
}

.projects-heading {
  margin: 20px;
}

p {
  line-height: 1.7;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 15px;
}

.navigation-links {
  display: flex;
  margin-top: 40px;
  justify-content: center;
  font-size: 23px;
}

.navigation-links a {
  margin: 20px;
}

.primary-link {
  border-radius: 4px;
  padding: 20px 15px;
  text-decoration: none;
  text-transform: capitalize;
  background: var(--primary-color);
  box-shadow: var(--box-shadow);
  color: white;
}

.secondary-link {
  box-shadow: var(--box-shadow);
  border-radius: 4px;
  padding: 20px 15px;
  background: #fff;
  text-decoration: none;
  text-transform: capitalize;
  color: var(--primary-color);
  border: 1px solid var(--primary-color);
}

.image-container,
.paragraph-container {
  background-color: var(--secondary-color);
  padding: 30px 40px;
}
.image-container .project-titles {
  font-size: 16px;
  text-decoration: underline;
  color: #dc4712;
}
.image-container .project-titles:hover {
  cursor: pointer;
}

.image-container img {
  margin: 0px 0 20px;
  border: 5px solid #fff;
  padding: 0;
}
.image-link {
  transition: all 150ms ease-in-out;
}
.image-link:hover {
  cursor: pointer;
  transform: scale(1.2);
}
.project-link {
  display: block;
  text-align: center;
  margin-top: 20px;
  font-weight: 500;
  text-decoration: none;
}
.project-link:hover {
  text-decoration: underline;
}
footer {
  text-align: center;
}

.about-header {
  max-width: 900px;
  margin: 0 auto 40px;
}
.profile-image {
  width: 250px;
  max-width: 100%;
  min-width: 200px;
  margin: 0;
}
.about-hero-title {
  font-size: 80px;
  margin: 0;
  text-align: left;
}
.paragraph-container {
  max-width: 900px;
  margin: 0 auto;
}
.about-paragraph-titles {
  font-size: 25px;
}
.contact {
  max-width: 800px;
  margin: 100px auto;
}
.project-hero-title {
  font-size: 80px;
}
.project-containers {
  background-color: var(--secondary-color);
  padding: 30px 20px;
}
.project-containers img {
  border: 5px solid #fff;
  box-shadow: var(--box-shadow);
}
.project-containers .navigation-links {
  font-size: 14px;
}
.project-containers .primary-link {
  margin-right: 10px;
}
.project-containers .secondary-link {
  margin-left: 10px;
}

@media (max-width: 768px) {
  body {
    margin: 100px 30px 50px;
    text-align: center;
  }
  .home-header {
    margin: 0;
  }
  .hero-title {
    font-size: 45px;
    margin-bottom: 8px;
  }
  .hero-subtitle {
    font-size: 20px;
  }
  .navigation-links {
    font-size: 16px;
    padding: 0;
    margin: 35px 0 50px;
  }
  .image-container {
    padding: 40px;
  }
  .image-container .project-titles {
    font-size: 20px;
  }
  .image-container img {
    display: none;
  }
  .about-hero-title,
  .project-hero-title {
    font-size: 60px;
    text-align: center;
  }
  .profile-image {
    max-width: 200px;
  }
}
footer i {
  color: black;
  font-size: 22px;
  text-decoration: none;
  margin: 20px;
}

footer i:hover {
  opacity: 0.6;
}
